## org.eclipse.datatools.connectivity.oda.flatfile.ui.wizards
Class FolderSelectionWizardPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.datatools.connectivity.internal.ui.wizards.BaseWizardPage
                  org.eclipse.datatools.connectivity.ui.wizards.ConnectionProfileDetailsPage
                      org.eclipse.datatools.connectivity.oda.design.internal.ui.DataSourceWizardPageCore
                          org.eclipse.datatools.connectivity.oda.design.ui.wizards.DataSourceWizardPage
                              org.eclipse.datatools.connectivity.oda.flatfile.ui.wizards.FolderSelectionWizardPage

All Implemented Interfaces:
  org.eclipse.datatools.connectivity.internal.ui.wizards.ISkippable, org.eclipse.datatools.connectivity.internal.ui.wizards.ISummaryDataSource, org.eclipse.datatools.connectivity.internal.ui.wizards.IWizardAction, org.eclipse.help.IContextProvider, org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

    public class FolderSelectionWizardPage

extends DataSourceWizardPage

Field Summary

Fields inherited from interface org.eclipse.help.IContextProvider
`NONE, SELECTION`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`FolderSelectionWizardPage(java.lang.String pageName)`

Method Summary
`java.util.Properties` `collectCustomProperties()` Returns custom properties updated with values collected in custom wizard page(s).
`void` `createPageCustomControl(org.eclipse.swt.widgets.Composite parent)` Creates customized control for this wizard page under the given parent composite.
`void` `refresh()`
`void` `setInitialProperties(java.util.Properties dataSourceProps)` Sets the initial properties and values to initialize the customized control of this wizard page.
`void` `setVisible(boolean visible)`

Methods inherited from class org.eclipse.datatools.connectivity.oda.design.ui.wizards.DataSourceWizardPage
`createCustomControl, getOdaDataSourceId`

Methods inherited from class org.eclipse.datatools.connectivity.oda.design.internal.ui.DataSourceWizardPageCore
`createControl, dispose, finishDataSourceDesign, getNextPage, isPageComplete`

Methods inherited from class org.eclipse.datatools.connectivity.ui.wizards.ConnectionProfileDetailsPage
`getContext, getContextChangeMask, getSearchExpression, setCreateAutoConnectControls`

Methods inherited from class org.eclipse.datatools.connectivity.internal.ui.wizards.BaseWizardPage
`getSkippable, getSummaryData, onSetActive, onWizardNext, setNeedMediation, setSkippable`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getImage, getName, getPreviousPage, getShell, getWizard, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`getControl, getDescription, getErrorMessage, getMessage, getMessageType, getTitle, performHelp, setMessage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

Constructor Detail

### FolderSelectionWizardPage

    public FolderSelectionWizardPage(java.lang.String pageName)

Method Detail

### createPageCustomControl

    public void createPageCustomControl(org.eclipse.swt.widgets.Composite parent)

  Description copied from class: `DataSourceWizardPage`
  Creates customized control for this wizard page under the given parent composite.

  Specified by:
    `createPageCustomControl` in class `DataSourceWizardPage`
  Parameters:
    `parent` - the parent composite

### setInitialProperties

    public void setInitialProperties(java.util.Properties dataSourceProps)

  Description copied from class: `DataSourceWizardPage`
  Sets the initial properties and values to initialize the customized control of this wizard page.
  This method may be called before #createPageCustomControl, which should then initialize with these given properties.

  Specified by:
    `setInitialProperties` in class `DataSourceWizardPage`
  Parameters:
    `dataSourceProps` - custom properties of the extended ODA data source

### refresh

    public void refresh()

  Overrides:
    `refresh` in class `DataSourceWizardPage`

### collectCustomProperties

    public java.util.Properties collectCustomProperties()

  Description copied from class: `DataSourceWizardPage`
  Returns custom properties updated with values collected in custom wizard page(s).

  Specified by:
    `collectCustomProperties` in class `DataSourceWizardPage`
  Returns:
    a collection of custom properties; may be empty

### setVisible

    public void setVisible(boolean visible)

  Specified by:
    `setVisible` in interface `org.eclipse.jface.dialogs.IDialogPage`
  Overrides:
    `setVisible` in class `org.eclipse.jface.dialogs.DialogPage`